Agent Email
Show DNS and verification state
GET /v1/agent-email/domains/{domainId} · SDK getAgentEmailDomain · CLI deployments inbox-domain show
GET
Requires agent-email:read.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
domainId*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-environment*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$AgentEmailDomainResponse
application/json- response
createdAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timednsRecords*array<>domain*stringfailureReason?stringid*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$lastCheckedAt?stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timemailFromDomain*stringorganizationId*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$placementId?stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$providerIdentity?stringproviderManaged*booleanproviderMetadata*status*stringValue in
"failed""pending""pending_dns""provisioning""revoked""verified"updatedAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeverifiedAt?stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timecurl -X GET "https://example.com/v1/agent-email/domains/string" \ -H "x-deployments-environment: string"{ "createdAt": "2019-08-24T14:15:22Z", "dnsRecords": [ { "name": "string", "priority": 0, "type": "CNAME", "value": "string" } ], "domain": "string", "failureReason": "string", "id": "string", "lastCheckedAt": "2019-08-24T14:15:22Z", "mailFromDomain": "string", "organizationId": "string", "placementId": "string", "providerIdentity": "string", "providerManaged": true, "providerMetadata": { "property1": null, "property2": null }, "status": "failed", "updatedAt": "2019-08-24T14:15:22Z", "verifiedAt": "2019-08-24T14:15:22Z"}